#include <stdio.h>
#include <sys/types.h>

#include "ubixfs.h"

int main() {
  FILE *fd;
  struct ubixDiskLabel *d = (struct ubixDiskLabel *)malloc(512);
  printf("Building Disk Label\n");
  d->magicNum = UBIXDISKMAGIC;
  d->magicNum2 = UBIXDISKMAGIC;
  d->numPartitions = 1;
  d->partitions[0].p_size    = 2000;
  d->partitions[0].p_offset  = 50;
  d->partitions[0].p_fstype  = 0x24;
  d->partitions[0].p_bsize   = 0x8;
  fd = fopen("/dev/fd0","wb");
  fseek(fd,512,0);
  fwrite(d,512,1,fd); 
  }
